#ifdef PIC18
#pragma romdata datosrom
#endif
ENROM struct _tpar par[MAXPAR]=
{
	{
	//.123456789.123456789.
	"SIMULADOR  PESADORA",
	"WEIGTHER  SIMULATOR",
	1,0,
	0,0,0,0,
	0,
	0,0,0,0,
	"","",""
	},

	{
   //.123456789.123456789.
   //xxxxxxxxxxxx   yyyyy
	"Peso",
	"Weigth",
	2,1,
	0,0,127,1,  // min,tip,max,inc
	U16|EDIT,
	&wpes,0,0,0,
	"","",""
	},
	{
	"estado",
	"state",
	3,1,
	0,0,127,1,  // min,tip,max,inc
	U8|EDIT,
	&e,0,0,0,
	"","",""
	},
	{
	"tdescarga",
	"tdescarga",
	4,1,
	0,20,127,1,  // min,tip,max,inc
	U16|EDIT|E2P,
	&wtdes,0,0,0,
	"","",""
	},

	{
	"Cero",
	"Zero",
	6,1,
	0,0,255,1,
	U16|EDIT|E2P,
	&wzero,0,0,0,
	"","",""
	},

	{
	"senal",
	"senal",
	70,1,
	0,0,0,0,
	MENU,
	0,0,0,0,
	"","",""
	},

	{
	"adc0",
	"adc0",
	71,70,
	0,0,0,0,
	U16,
	&wadc0,0,0,0,
	"p","",""
	},

	{
	"N",
	"N",
	72,70,
	1,1024,1024,1,
	U16|EDIT|E2P,
	&wn,0,0,0,
	"p","",""
	},

	{
	"D",
	"D",
	73,70,
	1,1024,1024,1,
	U16|EDIT|E2P,
	&wd,0,0,0,
	"p","",""
	},

	{
	"Cero",
	"Zero",
	74,70,
	-1024,0,1023,1,
	S16|EDIT|E2P,
	&nCero,0,0,0,
	"u","",""
	},

	{
	"Seal",
	"Signal",
	75,70,
	0,0,0,0,
	S16,
	&nSenal,0,0,0,
	"u","",""
	},

	{
   //.123456789.123456789.
	"otros",
	"others",
	80,1,
	0,0,0,0,
	MENU,
	0,0,0,0,
	"","",""
	},

//OTROS

	{
	"idioma",
	"lenguaje",
	81,80,
	1,1,2,1,  // min,tip,max,inc
	U8|EDIT|E2P,
	&uIdioma,0,0,0,
	"","",""
	},

	{
	"bootloader!",
	"bootloader!",
	82,80,
	0,0,0,0,
	0,
	0,0,&exitbootloader,0,
	"","",""
	},
	{
	"inicializa!",
	"inicializate!",
	83,80,
	0,0,0,0,
	0,
	0,0,&inicializa,0,
	"","",""
	},
	{
	"temps",
	"time",
	84,80,
	0,0,0,0,
	U32,
	&temps,0,0,0,
	"s","",""
	},

//_PORTA,_PORTB,_PORTE;

    {
	"PORTA",
	"PORTA",
	85,80,
	0,0,0,0,
	U8,
	&_PORTA,&lee_port,0,0,
	"","",""
	},

    {
	"PORTB",
	"PORTB",
	86,80,
	0,0,0,0,
	U8,
	&_PORTB,&lee_port,0,0,
	"","",""
	},

    {
	"PORTE",
	"PORTE",
	87,80,
	0,0,0,0,
	U8,
	&_PORTE,&lee_port,0,0,
	"","",""
	},

    {
	"EEPROM@",
	"EEPROM@",
	88,80,
	0,0,0xffff,1,
	U16|EDIT,
	&dir,0,0,0,
	"","",""
	},

    {
	"EEPROM=",
	"EEPROM=",
	89,80,
	0,0,0,0,
	U8,
	&dato,&lee_eeprom,0,0,
	"","",""
	},

    {
	"DAC1",
	"DAC1",
	90,80,
	0,0,0,0,
	U16,
	&wdac1,0,0,0,
	"","",""
	},

    {
	"DAC2",
	"DAC2",
	91,80,
	0,0,0,0,
	U16,
	&wdac2,0,0,0,
	"","",""
	},

    {
	"wadc0",
	"wadc0",
	92,80,
	0,0,0,0,
	U16,
	&wadc0,0,0,0,
	"","",""
	},

    {
	"wadc1",
	"wadc1",
	93,80,
	0,0,1023,0x0100,  //de 128 en 128
	U16|EDIT,
	&wadc1,0,0,0,
	"","",""
	},


    {
	"wadc2",
	"wadc2",
	94,80,
	0,0,0,0,
	U16,
	&wadc2,0,0,0,
	"","",""
	},

    {
	"wadc3",
	"wadc3",
	95,80,
	0,0,0,0,
	U16,
	&wadc3,0,0,0,
	"","",""
        },
        {
	"v2008/02/18",
	"v2008/02/18",
	96,80,
	0,0,0,0,
	0,
	0,0,0,0,
	"","",""
	}
};

